LP#1835458: Add install support for Debian 10 Buster
authorBen Shum <ben@evergreener.net>
Thu, 4 Jul 2019 19:35:53 +0000 (15:35 -0400)
committerJason Stephenson <jason@sigio.com>
Tue, 23 Jul 2019 11:46:24 +0000 (07:46 -0400)
Signed-off-by: Ben Shum <ben@evergreener.net>
Signed-off-by: Jason Stephenson <jason@sigio.com>
README
src/extras/Makefile.install

diff --git a/README b/README
index 69df0f6..4f2f929 100644 (file)
--- a/README
+++ b/README
@@ -64,6 +64,7 @@ make -f src/extras/Makefile.install <osname>
 
 Well-tested values for <osname> include:
 
+  * `debian-buster` for Debian 10
   * `debian-stretch` for Debian 9
   * `debian-jessie` for Debian 8
   * `ubuntu-xenial` for Ubuntu 16.04
@@ -261,7 +262,7 @@ hosts:
     ##access_max_user_messages: max_user_offline_messages
 -----------------------
 +
-(Ubuntu Bionic) Ejabberd 18.x::
+(Debian Buster / Ubuntu Bionic) Ejabberd 18.x::
 Open `/etc/ejabberd/ejabberd.yml` and make the following
 changes:
   a. Define your public and private domains in the `hosts` directive. For
@@ -286,7 +287,12 @@ hosts:
     ##access_max_user_messages: max_user_offline_messages
 -----------------------
 +
-  g. Uncomment the `mod_legacy_auth` directive
+  g. Uncomment or add the `mod_legacy_auth` directive
++
+-----------------------
+mod_legacy_auth: {}
+-----------------------
++
 3. Restart the ejabberd server to make the changes take effect:
 +
 .(Debian / Ubuntu Xenial / Ubuntu Bionic) Starting ejabberd
index 4ffae87..f4d1fe7 100644 (file)
@@ -10,6 +10,8 @@
 # Installs Perl prereqs, libjs with Perl wrapper
 #
 # usage:
+#      make -f Makefile.install debian-buster
+#      - or -
 #      make -f Makefile.install debian-stretch
 #      - or -
 #      make -f Makefile.install debian-jessie
@@ -49,7 +51,7 @@ DEBS =  \
        liberror-perl\
        libexpat1-dev\
        libfile-find-rule-perl\
-       libgcrypt11-dev \
+       libgcrypt20-dev \
        libgdbm-dev \
        liblog-log4perl-perl\
        libmemcached-dev \
@@ -160,6 +162,11 @@ EXTRA_DEBS_JESSIE = \
        apache2-prefork-dev \
        libncurses5-dev
 
+EXTRA_DEBS_DEBIAN_BUSTER = \
+       apache2 \
+       apache2-dev \
+       libncurses5-dev
+
 EXTRA_DEBS_DEBIAN_STRETCH = \
        apache2 \
        apache2-dev \
@@ -181,8 +188,10 @@ all:
        @echo "please specify an OS" && exit 0
 
 
+debian-buster: generic_debian buster apache_mpm_prefork_mods apache_perl_mod
 debian-stretch: generic_debian stretch apache_mpm_prefork_mods apache_perl_mod
 debian-jessie: generic_debian jessie apache_mpm_prefork_mods
+buster: install_extra_debs install_extra_debs_buster debian_sys_config
 stretch: install_extra_debs install_extra_debs_stretch debian_sys_config
 jessie: install_extra_debs_jessie debian_sys_config
 generic_debian: install_debs
@@ -210,6 +219,9 @@ install_debs:
 install_extra_debs:
        $(APT_TOOL) install $(EXTRA_DEBS)
 
+install_extra_debs_buster:
+       $(APT_TOOL) install $(EXTRA_DEBS_DEBIAN_BUSTER)
+
 install_extra_debs_stretch:
        $(APT_TOOL) install $(EXTRA_DEBS_DEBIAN_STRETCH)